/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../nv-text-field/style';

input {
  outline: none;
  padding: $space-default 0 $space-default $space-default !important;
  position: relative;
  width: calc(100% - 40px);
  z-index: 1;
}

.nv-text-field-elements {
  .nv-text-field-ripple-focus {
    @extend .transition-exit;
    background-color: var(--background-color);
    border-radius: var(--background-color);
    content: '';
    height: 100%;
    left: 0;
    opacity: 0.1;
    position: absolute;
    top: 0;
    width: 0%;
  }
}

:host(.nv-search-box-focus) {
  input {
    color: var(--nv-theme-primary);
  }

  .nv-text-field-elements .nv-text-field-ripple-focus {
    @extend .transition-entrance;
    width: 100%;
  }

  .nv-search-box-icon path {
    fill: var(--nv-theme-primary);
  }
}

.nv-search-box-icon,
.loader-search-box {
  @extend .transition-exit;
  opacity: 0;
  position: absolute;
  right: $space-sm;
  top: calc(50% + 2px);
  transform: translateY(-50%) scale(0.5);
  visibility: hidden;
  
  path {
    @extend .transition-moviment;
    fill: var(--nv-type-secondary);
    transition-property: fill;
  }
}

.show-icon {
  @extend .transition-exit;
  opacity: 1;
  transform: translateY(-50%) scale(1);
  visibility: visible;
}

//
// Icon animation
//

:host(.nv-search-box-ripple-finish) {
  .nv-search-box-icon {
    animation: searchBoxIcon $transition-moviment $transition-speed-moviment;
  }
}

.nv-search-box-label {
  @extend .transition-moviment;
  color: var(--nv-type-color);
  font-family: 'FiraGO Italic';
  left: 0;
  padding: 12px $space-default;
  pointer-events: none;
  position: absolute;
  top: 0;
  transition-property: transform, opacity;
  z-index: 1;

  &.active {
    @extend .transition-exit;
    opacity: 0;
    transform: translateY(10px);
    visibility: hidden;
  }

  &.primary {
    color: var(--nv-theme-primary);
  }
}

@keyframes searchBoxIcon {
  from { right: 2px; }
  to { right: $space-sm; }
}
